installing phpunit/PHPUnit-3.5.5 via pear (for sonar)

I am trying to setup PHP Plugin for Sonar, and this plugin needs specific packages in specific version.

So, When I am trying to install PHPUnit 3.5.5 using following command, it is installing newer version. What I do wrong?

[VMWARE] root@localhost ~  
 # pear install phpunit/PHPUnit-3.5.5
Did not download optional dependencies: phpunit/PHP_Invoker, use --alldeps to download automatically
phpunit/PHPUnit can optionally use PHP extension "dbus"
phpunit/PHPUnit can optionally use PHP extension "soap"
phpunit/DbUnit requires package "phpunit/PHPUnit" (version >= 3.6.0), downloaded version is 3.5.5
phpunit/PHPUnit requires package "phpunit/DbUnit" (version >= 1.0.0)
phpunit/PHPUnit can optionally use package "phpunit/PHP_Invoker" (version >= 1.1.0)
downloading PHPUnit_Selenium-1.2.1.tgz ...
Starting to download PHPUnit_Selenium-1.2.1.tgz (23,083 bytes)
.......done: 23,083 bytes
downloading PHPUnit-3.6.10.tgz ...
Starting to download PHPUnit-3.6.10.tgz (118,595 bytes)
...done: 118,595 bytes
install ok: channel://pear.phpunit.de/PHPUnit-3.6.10
install ok: channel://pear.phpunit.de/PHPUnit_Selenium-1.2.1
[VMWARE] root@localhost ~  

Answers


To get this from the unanswered questions page: See How to install an older version of PHPUnit through PEAR? for an exact answer to your problem.


Need Your Help

Adding subview, gets delayed?

iphone iphone-sdk-3.0 uinavigationcontroller uiactivityindicatorview

i didn't really know how to title this question, but here's a thing that really kills me:

C# Entity - Delete Items by ID - ID to delete are in an other list

c# entity-framework linq

I need to delete items in a collection managed by Entity 6. The items that have to be deleted are in an other list